# IvyModuleDescriptor

interface IvyModuleDescriptor

The metadata about an Ivy module that acts as an input to a component metadata rule.

## Functions

getBranch
Link copied to clipboard
@Nullable
abstract fun getBranch(): @Nullable String
Returns the branch attribute of the info element in this descriptor.
getExtraInfo
Link copied to clipboard
abstract fun getExtraInfo(): IvyExtraInfo
Returns an org.gradle.api.artifacts.ivy.IvyExtraInfo representing the "extra" info declared in this descriptor.
getIvyStatus
Link copied to clipboard
abstract fun getIvyStatus(): String
Returns the status attribute of the info element in this descriptor.